/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

import { Routes } from "@angular/router";
import { Home } from "./home/home.js";
import { Products } from "./products/products.js";
import { Soon } from "./soon/soon.js";

export const routes: Routes = [
  { component: Home, path: "", pathMatch: "full" },
  { component: Products, path: "products" },
  { component: Soon, path: "**" },
];
