/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

import { CommonModule } from "@angular/common";
import { Component } from "@angular/core";

@Component({
  imports:     [ CommonModule ],
  selector:    "app-nav",
  styleUrl:    "./nav.css",
  templateUrl: "./nav.html",
})
export class Nav {
  public navOpen = false;
  public dropdownClass = "dropdown";

  public toggleNav(): void {
    this.navOpen = !this.navOpen;
    if (this.navOpen) {
      this.dropdownClass = "dropdown open";
    } else {
      this.dropdownClass = "dropdown";
    }
  }
}
